Skip to navigation

Update Account/Instruction Currency Values

View as Markdown
This endpoint can update accounts and currency details of a particular Payer ID.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Path parameters

payerid-numberstringRequired1-35 characters
Unique identification number assigned to payers and beneficiaries for incoming payments.

Headers

AuthorizationstringRequired
The OAuth token prefixed with "Bearer" and space in between.

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.

Request

Describes the payer ID account details to be updated.
country_codestringRequiredformat: "^[A-Z]{2}$"

The ISO country code specifying which country the account is held with. For example, if we receive a request for Germany, then the county code is DE. For France, it is FR. The list of allowed country codes are:
DE - Germany
FR - France
GB - Great Britain
IE - Ireland
NL - Netherlands
US - United States
CA - Canada
HK - Hong Kong
SG - Singapore
AU - Australia

accountslist of objectsRequired
Identification of account parameter under which client account, branch code, or instruction currency to be displayed. Instruction currency cannot be same for different client account numbers in a single request.

Response

Accepted
status_codestring<=20 characters

Status of the request sent as synchronous response to client. Status code will have value as PIPND.

status_descriptionstring<=500 characters

Incoming request acknowledgement message, an example is, Payer ID Maintenance request is in-progress.

request_idstring<=32 characters

Auto-generated unique identification assigned to the incoming request.

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error